<template>
    <page-container>
        <div class="page-top">
            <DeviceInfo />
            <ProgressDescription />
            <RuleInformation />
        </div>
        <div class="page-middle">
            <AlarmTrend />
            <WarningType />
        </div>
        <div class="page-bottom">
            <WarningLevel />
            <AlarmTypeStatistics />
        </div>
    </page-container>
</template>
<script lang="ts" name="DeviceWarningDetail" setup>
import DeviceInfo from './DeviceInfo.vue';
import ProgressDescription from './ProgressDescription.vue';
import RuleInformation from './RuleInformation.vue';
import AlarmTrend from './AlarmTrend.vue';
import WarningType from './WarningType.vue';
import WarningLevel from './WarningLevel.vue';
import AlarmTypeStatistics from './AlarmTypeStatistics.vue';

onMounted(() => {});
</script>
<style scoped lang="less">
.page-top {
    width: 100%;
    height: 280px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.page-middle {
    width: 100%;
    height: 370px;
    margin: 16px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.page-bottom {
    width: 100%;
    height: 370px;
    margin: 16px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
</style>
